# module RSS::Atom::DuplicateLinkChecker

### Public Instance Methods

validate_duplicate_links(links) click to toggle source

Checks if there are duplicate links with the same type and hreflang attributes that have an alternate (or empty) rel attribute

Raises a `TooMuchTagError` if there are duplicates found

    # File lib/rss/atom.rb, line 249
    def validate_duplicate_links(links)
      link_infos = {}
      links.each do |link|
        rel = link.rel || "alternate"
        next unless rel == "alternate"
        key = [link.hreflang, link.type]
        if link_infos.has_key?(key)
          raise TooMuchTagError.new("link", tag_name)
        end
        link_infos[key] = true
      end
    end